All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
@ 2017-10-08 19:23 Theodore Ts'o
  2017-10-08 21:41 ` Dave Chinner
  0 siblings, 1 reply; 6+ messages in thread
From: Theodore Ts'o @ 2017-10-08 19:23 UTC (permalink / raw)
  To: fstests; +Cc: Ext4 Developers List, Theodore Ts'o

Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
 tests/ext4/026 | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/ext4/026 b/tests/ext4/026
index 94a737ce..ba77f36e 100755
--- a/tests/ext4/026
+++ b/tests/ext4/026
@@ -53,7 +53,8 @@ _require_attrs
 _require_ext4_mkfs_feature ea_inode
 
 _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
-_scratch_mount
+_scratch_mount >/dev/null 2>&1 \
+	|| _notrun "kernel doesn't support ea_inode feature on $FSTYP"
 
 # Sets an extended attribute on a file.
 attr_set()
-- 
2.11.0.rc0.7.gbe5a750


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* Re: [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
  2017-10-08 19:23 [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature Theodore Ts'o
@ 2017-10-08 21:41 ` Dave Chinner
  2017-10-08 21:51   ` Theodore Ts'o
  0 siblings, 1 reply; 6+ messages in thread
From: Dave Chinner @ 2017-10-08 21:41 UTC (permalink / raw)
  To: Theodore Ts'o; +Cc: fstests, Ext4 Developers List

On Sun, Oct 08, 2017 at 03:23:24PM -0400, Theodore Ts'o wrote:
> Signed-off-by: Theodore Ts'o <tytso@mit.edu>
> ---
>  tests/ext4/026 | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/tests/ext4/026 b/tests/ext4/026
> index 94a737ce..ba77f36e 100755
> --- a/tests/ext4/026
> +++ b/tests/ext4/026
> @@ -53,7 +53,8 @@ _require_attrs
>  _require_ext4_mkfs_feature ea_inode
>  
>  _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
> -_scratch_mount
> +_scratch_mount >/dev/null 2>&1 \
> +	|| _notrun "kernel doesn't support ea_inode feature on $FSTYP"

Needs to be in a _requires check?

Cheers,

Dave.

-- 
Dave Chinner
david@fromorbit.com

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
  2017-10-08 21:41 ` Dave Chinner
@ 2017-10-08 21:51   ` Theodore Ts'o
  2017-10-08 22:40     ` Dave Chinner
  0 siblings, 1 reply; 6+ messages in thread
From: Theodore Ts'o @ 2017-10-08 21:51 UTC (permalink / raw)
  To: Dave Chinner; +Cc: fstests, Ext4 Developers List

On Mon, Oct 09, 2017 at 08:41:17AM +1100, Dave Chinner wrote:
> On Sun, Oct 08, 2017 at 03:23:24PM -0400, Theodore Ts'o wrote:
> > Signed-off-by: Theodore Ts'o <tytso@mit.edu>
> > ---
> >  tests/ext4/026 | 3 ++-
> >  1 file changed, 2 insertions(+), 1 deletion(-)
> > 
> > diff --git a/tests/ext4/026 b/tests/ext4/026
> > index 94a737ce..ba77f36e 100755
> > --- a/tests/ext4/026
> > +++ b/tests/ext4/026
> > @@ -53,7 +53,8 @@ _require_attrs
> >  _require_ext4_mkfs_feature ea_inode
> >  
> >  _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
> > -_scratch_mount
> > +_scratch_mount >/dev/null 2>&1 \
> > +	|| _notrun "kernel doesn't support ea_inode feature on $FSTYP"
> 
> Needs to be in a _requires check?

There's only one test currently testing ea_inode at the moment, but
sure, I can make it into a _requires check.

      	    	    	   - Ted

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
  2017-10-08 21:51   ` Theodore Ts'o
@ 2017-10-08 22:40     ` Dave Chinner
  2017-10-09  6:00       ` Amir Goldstein
  0 siblings, 1 reply; 6+ messages in thread
From: Dave Chinner @ 2017-10-08 22:40 UTC (permalink / raw)
  To: Theodore Ts'o; +Cc: fstests, Ext4 Developers List

On Sun, Oct 08, 2017 at 05:51:10PM -0400, Theodore Ts'o wrote:
> On Mon, Oct 09, 2017 at 08:41:17AM +1100, Dave Chinner wrote:
> > On Sun, Oct 08, 2017 at 03:23:24PM -0400, Theodore Ts'o wrote:
> > > Signed-off-by: Theodore Ts'o <tytso@mit.edu>
> > > ---
> > >  tests/ext4/026 | 3 ++-
> > >  1 file changed, 2 insertions(+), 1 deletion(-)
> > > 
> > > diff --git a/tests/ext4/026 b/tests/ext4/026
> > > index 94a737ce..ba77f36e 100755
> > > --- a/tests/ext4/026
> > > +++ b/tests/ext4/026
> > > @@ -53,7 +53,8 @@ _require_attrs
> > >  _require_ext4_mkfs_feature ea_inode
> > >  
> > >  _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
> > > -_scratch_mount
> > > +_scratch_mount >/dev/null 2>&1 \
> > > +	|| _notrun "kernel doesn't support ea_inode feature on $FSTYP"
> > 
> > Needs to be in a _requires check?
> 
> There's only one test currently testing ea_inode at the moment, but
> sure, I can make it into a _requires check.

I note there's a _require_ext4_mkfs_feature check above. Perhaps
just turn that into a _require_ext4_feature that checks both mkfs
and whether the kernel supports the functionality? That's typically
what we've done in the past - one _require rule to check all
aspects of support needed to use the feature...

Cheers,

Dave.
-- 
Dave Chinner
david@fromorbit.com

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
  2017-10-08 22:40     ` Dave Chinner
@ 2017-10-09  6:00       ` Amir Goldstein
  2017-10-09  6:37         ` Eryu Guan
  0 siblings, 1 reply; 6+ messages in thread
From: Amir Goldstein @ 2017-10-09  6:00 UTC (permalink / raw)
  To: Dave Chinner; +Cc: Theodore Ts'o, fstests, Ext4 Developers List

On Mon, Oct 9, 2017 at 1:40 AM, Dave Chinner <david@fromorbit.com> wrote:
> On Sun, Oct 08, 2017 at 05:51:10PM -0400, Theodore Ts'o wrote:
>> On Mon, Oct 09, 2017 at 08:41:17AM +1100, Dave Chinner wrote:
>> > On Sun, Oct 08, 2017 at 03:23:24PM -0400, Theodore Ts'o wrote:
>> > > Signed-off-by: Theodore Ts'o <tytso@mit.edu>
>> > > ---
>> > >  tests/ext4/026 | 3 ++-
>> > >  1 file changed, 2 insertions(+), 1 deletion(-)
>> > >
>> > > diff --git a/tests/ext4/026 b/tests/ext4/026
>> > > index 94a737ce..ba77f36e 100755
>> > > --- a/tests/ext4/026
>> > > +++ b/tests/ext4/026
>> > > @@ -53,7 +53,8 @@ _require_attrs
>> > >  _require_ext4_mkfs_feature ea_inode
>> > >
>> > >  _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
>> > > -_scratch_mount
>> > > +_scratch_mount >/dev/null 2>&1 \
>> > > + || _notrun "kernel doesn't support ea_inode feature on $FSTYP"
>> >
>> > Needs to be in a _requires check?
>>
>> There's only one test currently testing ea_inode at the moment, but
>> sure, I can make it into a _requires check.
>
> I note there's a _require_ext4_mkfs_feature check above. Perhaps
> just turn that into a _require_ext4_feature that checks both mkfs
> and whether the kernel supports the functionality? That's typically
> what we've done in the past - one _require rule to check all
> aspects of support needed to use the feature...
>


At the time when I introduced _require_scratch_overlay_feature Eryu
requested that I make it generic , so please hook
_require_scratch_ext4_feature to the generic helper.
Btw there is a cleanup patch factoring out
_require_scratch_overlay_feature helper which has not been merged yet

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature
  2017-10-09  6:00       ` Amir Goldstein
@ 2017-10-09  6:37         ` Eryu Guan
  0 siblings, 0 replies; 6+ messages in thread
From: Eryu Guan @ 2017-10-09  6:37 UTC (permalink / raw)
  To: Amir Goldstein
  Cc: Dave Chinner, Theodore Ts'o, fstests, Ext4 Developers List

On Mon, Oct 09, 2017 at 09:00:18AM +0300, Amir Goldstein wrote:
> On Mon, Oct 9, 2017 at 1:40 AM, Dave Chinner <david@fromorbit.com> wrote:
> > On Sun, Oct 08, 2017 at 05:51:10PM -0400, Theodore Ts'o wrote:
> >> On Mon, Oct 09, 2017 at 08:41:17AM +1100, Dave Chinner wrote:
> >> > On Sun, Oct 08, 2017 at 03:23:24PM -0400, Theodore Ts'o wrote:
> >> > > Signed-off-by: Theodore Ts'o <tytso@mit.edu>
> >> > > ---
> >> > >  tests/ext4/026 | 3 ++-
> >> > >  1 file changed, 2 insertions(+), 1 deletion(-)
> >> > >
> >> > > diff --git a/tests/ext4/026 b/tests/ext4/026
> >> > > index 94a737ce..ba77f36e 100755
> >> > > --- a/tests/ext4/026
> >> > > +++ b/tests/ext4/026
> >> > > @@ -53,7 +53,8 @@ _require_attrs
> >> > >  _require_ext4_mkfs_feature ea_inode
> >> > >
> >> > >  _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
> >> > > -_scratch_mount
> >> > > +_scratch_mount >/dev/null 2>&1 \
> >> > > + || _notrun "kernel doesn't support ea_inode feature on $FSTYP"
> >> >
> >> > Needs to be in a _requires check?
> >>
> >> There's only one test currently testing ea_inode at the moment, but
> >> sure, I can make it into a _requires check.
> >
> > I note there's a _require_ext4_mkfs_feature check above. Perhaps
> > just turn that into a _require_ext4_feature that checks both mkfs
> > and whether the kernel supports the functionality? That's typically
> > what we've done in the past - one _require rule to check all
> > aspects of support needed to use the feature...
> >

Agreed, I think we can make _require_ext4_bigalloc() more generic, turn
it into _require_scratch_ext4_feature(), and take use of
_require_ext4_mkfs_feature() in the new helper to do the userspace
check. And use the new helper in ext4/003 ext4/02[56] and ext4/306.

> 
> 
> At the time when I introduced _require_scratch_overlay_feature Eryu
> requested that I make it generic , so please hook
> _require_scratch_ext4_feature to the generic helper.

BTW, the generic helper is _require_scratch_feature().

Thanks,
Eryu

> Btw there is a cleanup patch factoring out
> _require_scratch_overlay_feature helper which has not been merged yet
> --
> To unsubscribe from this list: send the line "unsubscribe fstests" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2017-10-09  6:37 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-10-08 19:23 [PATCH] ext4/026: skip test if kernel does not support the ea_inode feature Theodore Ts'o
2017-10-08 21:41 ` Dave Chinner
2017-10-08 21:51   ` Theodore Ts'o
2017-10-08 22:40     ` Dave Chinner
2017-10-09  6:00       ` Amir Goldstein
2017-10-09  6:37         ` Eryu Guan

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.